- update to gettext 0.14.5, remove internal intl (Ralf)
[apt.git] / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 subdir = .
39 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
40         $(srcdir)/Makefile.in $(top_srcdir)/buildlib/config.h.in \
41         $(top_srcdir)/configure ABOUT-NLS AUTHORS COPYING ChangeLog \
42         TODO
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/buildlib/tools.m4 \
45         $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
46         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
47         $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
48         $(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
49         $(top_srcdir)/configure.in
50 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
51         $(ACLOCAL_M4)
52 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
53  configure.lineno configure.status.lineno
54 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
55 CONFIG_HEADER = $(top_builddir)/include/config.h
56 CONFIG_CLEAN_FILES =
57 SOURCES =
58 DIST_SOURCES =
59 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
60         html-recursive info-recursive install-data-recursive \
61         install-exec-recursive install-info-recursive \
62         install-recursive installcheck-recursive installdirs-recursive \
63         pdf-recursive ps-recursive uninstall-info-recursive \
64         uninstall-recursive
65 ETAGS = etags
66 CTAGS = ctags
67 DIST_SUBDIRS = $(SUBDIRS)
68 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
69 distdir = $(PACKAGE)-$(VERSION)
70 top_distdir = $(distdir)
71 am__remove_distdir = \
72   { test ! -d $(distdir) \
73     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
74          && rm -fr $(distdir); }; }
75 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
76 GZIP_ENV = --best
77 distuninstallcheck_listfiles = find . -type f -print
78 distcleancheck_listfiles = find . -type f -print
79 ACLOCAL = @ACLOCAL@
80 AMDEP_FALSE = @AMDEP_FALSE@
81 AMDEP_TRUE = @AMDEP_TRUE@
82 AMTAR = @AMTAR@
83 AR = @AR@
84 AUTOCONF = @AUTOCONF@
85 AUTOHEADER = @AUTOHEADER@
86 AUTOMAKE = @AUTOMAKE@
87 AWK = @AWK@
88 CC = @CC@
89 CCDEPMODE = @CCDEPMODE@
90 CFLAGS = @CFLAGS@
91 COMPILE_APTSHELL_FALSE = @COMPILE_APTSHELL_FALSE@
92 COMPILE_APTSHELL_TRUE = @COMPILE_APTSHELL_TRUE@
93 COMPILE_MANPAGES_FALSE = @COMPILE_MANPAGES_FALSE@
94 COMPILE_MANPAGES_TRUE = @COMPILE_MANPAGES_TRUE@
95 COMPILE_STATIC_FALSE = @COMPILE_STATIC_FALSE@
96 COMPILE_STATIC_TRUE = @COMPILE_STATIC_TRUE@
97 CPP = @CPP@
98 CPPFLAGS = @CPPFLAGS@
99 CXX = @CXX@
100 CXXCPP = @CXXCPP@
101 CXXDEPMODE = @CXXDEPMODE@
102 CXXFLAGS = @CXXFLAGS@
103 CYGPATH_W = @CYGPATH_W@
104 DEFS = @DEFS@
105 DEPDIR = @DEPDIR@
106 DOCBOOK2MAN = @DOCBOOK2MAN@
107 ECHO = @ECHO@
108 ECHO_C = @ECHO_C@
109 ECHO_N = @ECHO_N@
110 ECHO_T = @ECHO_T@
111 EGREP = @EGREP@
112 EXEEXT = @EXEEXT@
113 F77 = @F77@
114 FFLAGS = @FFLAGS@
115 GLIBC_VER = @GLIBC_VER@
116 GMSGFMT = @GMSGFMT@
117 GPG = @GPG@
118 HAVE_TIMEGM = @HAVE_TIMEGM@
119 INSTALL_DATA = @INSTALL_DATA@
120 INSTALL_PROGRAM = @INSTALL_PROGRAM@
121 INSTALL_SCRIPT = @INSTALL_SCRIPT@
122 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
123 INTLLIBS = @INTLLIBS@
124 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
125 LDFLAGS = @LDFLAGS@
126 LIBICONV = @LIBICONV@
127 LIBINTL = @LIBINTL@
128 LIBOBJS = @LIBOBJS@
129 LIBS = @LIBS@
130 LIBSTDCPP_VER = @LIBSTDCPP_VER@
131 LIBTOOL = @LIBTOOL@
132 LIBXML2_CFLAGS = @LIBXML2_CFLAGS@
133 LIBXML2_LIBS = @LIBXML2_LIBS@
134 LN_S = @LN_S@
135 LTLIBICONV = @LTLIBICONV@
136 LTLIBINTL = @LTLIBINTL@
137 LTLIBOBJS = @LTLIBOBJS@
138 MAINT = @MAINT@
139 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
140 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
141 MAKEINFO = @MAKEINFO@
142 MKINSTALLDIRS = @MKINSTALLDIRS@
143 MSGFMT = @MSGFMT@
144 MSGMERGE = @MSGMERGE@
145 NEED_INTTYPES_H_FALSE = @NEED_INTTYPES_H_FALSE@
146 NEED_INTTYPES_H_TRUE = @NEED_INTTYPES_H_TRUE@
147 NEED_NETDB_H_FALSE = @NEED_NETDB_H_FALSE@
148 NEED_NETDB_H_TRUE = @NEED_NETDB_H_TRUE@
149 NEED_SOCKLEN_T_DEFINE = @NEED_SOCKLEN_T_DEFINE@
150 NEED_STATVFS_H_FALSE = @NEED_STATVFS_H_FALSE@
151 NEED_STATVFS_H_TRUE = @NEED_STATVFS_H_TRUE@
152 OBJEXT = @OBJEXT@
153 PACKAGE = @PACKAGE@
154 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
155 PACKAGE_NAME = @PACKAGE_NAME@
156 PACKAGE_STRING = @PACKAGE_STRING@
157 PACKAGE_TARNAME = @PACKAGE_TARNAME@
158 PACKAGE_VERSION = @PACKAGE_VERSION@
159 PATH_SEPARATOR = @PATH_SEPARATOR@
160 PKG_CONFIG = @PKG_CONFIG@
161 POSUB = @POSUB@
162 PTHREADLIB = @PTHREADLIB@
163 RANLIB = @RANLIB@
164 RPMLIBS = @RPMLIBS@
165 RPM_PATH = @RPM_PATH@
166 SET_MAKE = @SET_MAKE@
167 SHELL = @SHELL@
168 SOCKETLIBS = @SOCKETLIBS@
169 STRIP = @STRIP@
170 USE_NLS = @USE_NLS@
171 VERSION = @VERSION@
172 WITH_LUA_FALSE = @WITH_LUA_FALSE@
173 WITH_LUA_TRUE = @WITH_LUA_TRUE@
174 XGETTEXT = @XGETTEXT@
175 ac_ct_AR = @ac_ct_AR@
176 ac_ct_CC = @ac_ct_CC@
177 ac_ct_CXX = @ac_ct_CXX@
178 ac_ct_F77 = @ac_ct_F77@
179 ac_ct_RANLIB = @ac_ct_RANLIB@
180 ac_ct_STRIP = @ac_ct_STRIP@
181 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
182 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
183 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
184 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
185 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
186 am__include = @am__include@
187 am__leading_dot = @am__leading_dot@
188 am__quote = @am__quote@
189 am__tar = @am__tar@
190 am__untar = @am__untar@
191 bindir = @bindir@
192 build = @build@
193 build_alias = @build_alias@
194 build_cpu = @build_cpu@
195 build_os = @build_os@
196 build_vendor = @build_vendor@
197 datadir = @datadir@
198 exec_prefix = @exec_prefix@
199 host = @host@
200 host_alias = @host_alias@
201 host_cpu = @host_cpu@
202 host_os = @host_os@
203 host_vendor = @host_vendor@
204 includedir = @includedir@
205 infodir = @infodir@
206 install_sh = @install_sh@
207 libdir = @libdir@
208 libexecdir = @libexecdir@
209 localstatedir = @localstatedir@
210 mandir = @mandir@
211 mkdir_p = @mkdir_p@
212 oldincludedir = @oldincludedir@
213 prefix = @prefix@
214 program_transform_name = @program_transform_name@
215 sbindir = @sbindir@
216 sharedstatedir = @sharedstatedir@
217 sysconfdir = @sysconfdir@
218 target_alias = @target_alias@
219 SUBDIRS = buildlib lua apt-pkg methods cmdline tools doc po
220 ACLOCAL_AMFLAGS = -I m4 -I buildlib
221 EXTRA_DIST = AUTHORS.RPM COPYING.GPL rpmpriorities test/conf.cc \
222         test/extract-control.cc test/hash.cc test/makefile \
223         test/mthdcat.cc test/rpmver.cc test/scratch.cc test/testdeb.cc \
224         test/testextract.cc test/uri.cc test/versions.lst \
225         test/versiontest.cc python/apt.i python/apt.py \
226         python/apt_wrap.cxx python/Makefile \
227         python/swig-1.3.16-cxx.patch contrib/gpg-check/README \
228         contrib/gpg-check/gpg-check.conf \
229         contrib/gpg-check/gpg-import.lua \
230         contrib/gpg-check/gpg-check.lua \
231         contrib/gpg-check/gpg-import.conf \
232         contrib/apt-groupinstall/apt-groupinstall.conf \
233         contrib/apt-groupinstall/README \
234         contrib/apt-groupinstall/groupinstall-backend-suse \
235         contrib/apt-groupinstall/groupinstall-backend-comps.py \
236         contrib/apt-groupinstall/apt-groupinstall.lua \
237         contrib/log/README contrib/log/log.lua contrib/log/log.conf \
238         contrib/apt-wrapper/apt.1 contrib/apt-wrapper/apt \
239         contrib/apt-wrapper/apt.1.xml contrib/apt-wrapper/apt.ent \
240         contrib/list-extras/README \
241         contrib/list-extras/list-extras.conf \
242         contrib/list-extras/list-extras.lua \
243         contrib/allow-duplicated/README \
244         contrib/allow-duplicated/allow-duplicated.conf \
245         contrib/allow-duplicated/allow-duplicated.lua \
246         contrib/list-nodeps/README contrib/list-nodeps/list-nodeps.lua \
247         contrib/list-nodeps/list-nodeps.conf \
248         contrib/apt-files/apt-files.lua contrib/apt-files/README \
249         contrib/apt-files/convert.py contrib/apt-files/apt-files.conf \
250         contrib/install-devel/README \
251         contrib/install-devel/install-devel.lua \
252         contrib/preserve-conf/preserve-conf.lua \
253         contrib/preserve-conf/preserve-conf.conf \
254         contrib/proxypasswd/README contrib/proxypasswd/proxypasswd.lua \
255         contrib/guess/README contrib/guess/guess.conf \
256         contrib/guess/guess.lua contrib/list-nodeps/list-nodeps.conf \
257         contrib/list-nodeps/list-nodeps.lua contrib/list-nodeps/README
258 all: all-recursive
259
260 .SUFFIXES:
261 am--refresh:
262         @:
263 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
264         @for dep in $?; do \
265           case '$(am__configure_deps)' in \
266             *$$dep*) \
267               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
268               cd $(srcdir) && $(AUTOMAKE) --foreign  \
269                 && exit 0; \
270               exit 1;; \
271           esac; \
272         done; \
273         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
274         cd $(top_srcdir) && \
275           $(AUTOMAKE) --foreign  Makefile
276 .PRECIOUS: Makefile
277 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
278         @case '$?' in \
279           *config.status*) \
280             echo ' $(SHELL) ./config.status'; \
281             $(SHELL) ./config.status;; \
282           *) \
283             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
284             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
285         esac;
286
287 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
288         $(SHELL) ./config.status --recheck
289
290 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
291         cd $(srcdir) && $(AUTOCONF)
292 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
293         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
294
295 include/config.h: include/stamp-h1
296         @if test ! -f $@; then \
297           rm -f include/stamp-h1; \
298           $(MAKE) include/stamp-h1; \
299         else :; fi
300
301 include/stamp-h1: $(top_srcdir)/buildlib/config.h.in $(top_builddir)/config.status
302         @rm -f include/stamp-h1
303         cd $(top_builddir) && $(SHELL) ./config.status include/config.h
304 $(top_srcdir)/buildlib/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
305         cd $(top_srcdir) && $(AUTOHEADER)
306         rm -f include/stamp-h1
307         touch $@
308
309 distclean-hdr:
310         -rm -f include/config.h include/stamp-h1
311
312 mostlyclean-libtool:
313         -rm -f *.lo
314
315 clean-libtool:
316         -rm -rf .libs _libs
317
318 distclean-libtool:
319         -rm -f libtool
320 uninstall-info-am:
321
322 # This directory's subdirectories are mostly independent; you can cd
323 # into them and run `make' without going through this Makefile.
324 # To change the values of `make' variables: instead of editing Makefiles,
325 # (1) if the variable is set in `config.status', edit `config.status'
326 #     (which will cause the Makefiles to be regenerated when you run `make');
327 # (2) otherwise, pass the desired values on the `make' command line.
328 $(RECURSIVE_TARGETS):
329         @failcom='exit 1'; \
330         for f in x $$MAKEFLAGS; do \
331           case $$f in \
332             *=* | --[!k]*);; \
333             *k*) failcom='fail=yes';; \
334           esac; \
335         done; \
336         dot_seen=no; \
337         target=`echo $@ | sed s/-recursive//`; \
338         list='$(SUBDIRS)'; for subdir in $$list; do \
339           echo "Making $$target in $$subdir"; \
340           if test "$$subdir" = "."; then \
341             dot_seen=yes; \
342             local_target="$$target-am"; \
343           else \
344             local_target="$$target"; \
345           fi; \
346           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
347           || eval $$failcom; \
348         done; \
349         if test "$$dot_seen" = "no"; then \
350           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
351         fi; test -z "$$fail"
352
353 mostlyclean-recursive clean-recursive distclean-recursive \
354 maintainer-clean-recursive:
355         @failcom='exit 1'; \
356         for f in x $$MAKEFLAGS; do \
357           case $$f in \
358             *=* | --[!k]*);; \
359             *k*) failcom='fail=yes';; \
360           esac; \
361         done; \
362         dot_seen=no; \
363         case "$@" in \
364           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
365           *) list='$(SUBDIRS)' ;; \
366         esac; \
367         rev=''; for subdir in $$list; do \
368           if test "$$subdir" = "."; then :; else \
369             rev="$$subdir $$rev"; \
370           fi; \
371         done; \
372         rev="$$rev ."; \
373         target=`echo $@ | sed s/-recursive//`; \
374         for subdir in $$rev; do \
375           echo "Making $$target in $$subdir"; \
376           if test "$$subdir" = "."; then \
377             local_target="$$target-am"; \
378           else \
379             local_target="$$target"; \
380           fi; \
381           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
382           || eval $$failcom; \
383         done && test -z "$$fail"
384 tags-recursive:
385         list='$(SUBDIRS)'; for subdir in $$list; do \
386           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
387         done
388 ctags-recursive:
389         list='$(SUBDIRS)'; for subdir in $$list; do \
390           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
391         done
392
393 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
394         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
395         unique=`for i in $$list; do \
396             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
397           done | \
398           $(AWK) '    { files[$$0] = 1; } \
399                END { for (i in files) print i; }'`; \
400         mkid -fID $$unique
401 tags: TAGS
402
403 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
404                 $(TAGS_FILES) $(LISP)
405         tags=; \
406         here=`pwd`; \
407         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
408           include_option=--etags-include; \
409           empty_fix=.; \
410         else \
411           include_option=--include; \
412           empty_fix=; \
413         fi; \
414         list='$(SUBDIRS)'; for subdir in $$list; do \
415           if test "$$subdir" = .; then :; else \
416             test ! -f $$subdir/TAGS || \
417               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
418           fi; \
419         done; \
420         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
421         unique=`for i in $$list; do \
422             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
423           done | \
424           $(AWK) '    { files[$$0] = 1; } \
425                END { for (i in files) print i; }'`; \
426         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
427           test -n "$$unique" || unique=$$empty_fix; \
428           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
429             $$tags $$unique; \
430         fi
431 ctags: CTAGS
432 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
433                 $(TAGS_FILES) $(LISP)
434         tags=; \
435         here=`pwd`; \
436         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
437         unique=`for i in $$list; do \
438             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
439           done | \
440           $(AWK) '    { files[$$0] = 1; } \
441                END { for (i in files) print i; }'`; \
442         test -z "$(CTAGS_ARGS)$$tags$$unique" \
443           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
444              $$tags $$unique
445
446 GTAGS:
447         here=`$(am__cd) $(top_builddir) && pwd` \
448           && cd $(top_srcdir) \
449           && gtags -i $(GTAGS_ARGS) $$here
450
451 distclean-tags:
452         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
453
454 distdir: $(DISTFILES)
455         $(am__remove_distdir)
456         mkdir $(distdir)
457         $(mkdir_p) $(distdir)/buildlib $(distdir)/contrib/allow-duplicated $(distdir)/contrib/apt-files $(distdir)/contrib/apt-groupinstall $(distdir)/contrib/apt-wrapper $(distdir)/contrib/gpg-check $(distdir)/contrib/guess $(distdir)/contrib/install-devel $(distdir)/contrib/list-extras $(distdir)/contrib/list-nodeps $(distdir)/contrib/log $(distdir)/contrib/preserve-conf $(distdir)/contrib/proxypasswd $(distdir)/m4 $(distdir)/po $(distdir)/python $(distdir)/test
458         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
459         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
460         list='$(DISTFILES)'; for file in $$list; do \
461           case $$file in \
462             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
463             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
464           esac; \
465           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
466           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
467           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
468             dir="/$$dir"; \
469             $(mkdir_p) "$(distdir)$$dir"; \
470           else \
471             dir=''; \
472           fi; \
473           if test -d $$d/$$file; then \
474             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
475               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
476             fi; \
477             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
478           else \
479             test -f $(distdir)/$$file \
480             || cp -p $$d/$$file $(distdir)/$$file \
481             || exit 1; \
482           fi; \
483         done
484         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
485           if test "$$subdir" = .; then :; else \
486             test -d "$(distdir)/$$subdir" \
487             || $(mkdir_p) "$(distdir)/$$subdir" \
488             || exit 1; \
489             distdir=`$(am__cd) $(distdir) && pwd`; \
490             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
491             (cd $$subdir && \
492               $(MAKE) $(AM_MAKEFLAGS) \
493                 top_distdir="$$top_distdir" \
494                 distdir="$$distdir/$$subdir" \
495                 distdir) \
496               || exit 1; \
497           fi; \
498         done
499         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
500           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
501           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
502           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
503         || chmod -R a+r $(distdir)
504 dist-gzip: distdir
505         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
506         $(am__remove_distdir)
507 dist-bzip2: distdir
508         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
509         $(am__remove_distdir)
510
511 dist-tarZ: distdir
512         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
513         $(am__remove_distdir)
514
515 dist-shar: distdir
516         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
517         $(am__remove_distdir)
518
519 dist-zip: distdir
520         -rm -f $(distdir).zip
521         zip -rq $(distdir).zip $(distdir)
522         $(am__remove_distdir)
523
524 dist dist-all: distdir
525         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
526         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
527         $(am__remove_distdir)
528
529 # This target untars the dist file and tries a VPATH configuration.  Then
530 # it guarantees that the distribution is self-contained by making another
531 # tarfile.
532 distcheck: dist
533         case '$(DIST_ARCHIVES)' in \
534         *.tar.gz*) \
535           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
536         *.tar.bz2*) \
537           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
538         *.tar.Z*) \
539           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
540         *.shar.gz*) \
541           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
542         *.zip*) \
543           unzip $(distdir).zip ;;\
544         esac
545         chmod -R a-w $(distdir); chmod a+w $(distdir)
546         mkdir $(distdir)/_build
547         mkdir $(distdir)/_inst
548         chmod a-w $(distdir)
549         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
550           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
551           && cd $(distdir)/_build \
552           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
553             $(DISTCHECK_CONFIGURE_FLAGS) \
554           && $(MAKE) $(AM_MAKEFLAGS) \
555           && $(MAKE) $(AM_MAKEFLAGS) dvi \
556           && $(MAKE) $(AM_MAKEFLAGS) check \
557           && $(MAKE) $(AM_MAKEFLAGS) install \
558           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
559           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
560           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
561                 distuninstallcheck \
562           && chmod -R a-w "$$dc_install_base" \
563           && ({ \
564                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
565                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
566                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
567                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
568                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
569               } || { rm -rf "$$dc_destdir"; exit 1; }) \
570           && rm -rf "$$dc_destdir" \
571           && $(MAKE) $(AM_MAKEFLAGS) dist \
572           && rm -rf $(DIST_ARCHIVES) \
573           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
574         $(am__remove_distdir)
575         @(echo "$(distdir) archives ready for distribution: "; \
576           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
577           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
578 distuninstallcheck:
579         @cd $(distuninstallcheck_dir) \
580         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
581            || { echo "ERROR: files left after uninstall:" ; \
582                 if test -n "$(DESTDIR)"; then \
583                   echo "  (check DESTDIR support)"; \
584                 fi ; \
585                 $(distuninstallcheck_listfiles) ; \
586                 exit 1; } >&2
587 distcleancheck: distclean
588         @if test '$(srcdir)' = . ; then \
589           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
590           exit 1 ; \
591         fi
592         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
593           || { echo "ERROR: files left in build directory after distclean:" ; \
594                $(distcleancheck_listfiles) ; \
595                exit 1; } >&2
596 check-am: all-am
597 check: check-recursive
598 all-am: Makefile
599 installdirs: installdirs-recursive
600 installdirs-am:
601 install: install-recursive
602 install-exec: install-exec-recursive
603 install-data: install-data-recursive
604 uninstall: uninstall-recursive
605
606 install-am: all-am
607         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
608
609 installcheck: installcheck-recursive
610 install-strip:
611         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
612           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
613           `test -z '$(STRIP)' || \
614             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
615 mostlyclean-generic:
616
617 clean-generic:
618
619 distclean-generic:
620         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
621
622 maintainer-clean-generic:
623         @echo "This command is intended for maintainers to use"
624         @echo "it deletes files that may require special tools to rebuild."
625 clean: clean-recursive
626
627 clean-am: clean-generic clean-libtool mostlyclean-am
628
629 distclean: distclean-recursive
630         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
631         -rm -f Makefile
632 distclean-am: clean-am distclean-generic distclean-hdr \
633         distclean-libtool distclean-tags
634
635 dvi: dvi-recursive
636
637 dvi-am:
638
639 html: html-recursive
640
641 info: info-recursive
642
643 info-am:
644
645 install-data-am:
646
647 install-exec-am:
648
649 install-info: install-info-recursive
650
651 install-man:
652
653 installcheck-am:
654
655 maintainer-clean: maintainer-clean-recursive
656         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
657         -rm -rf $(top_srcdir)/autom4te.cache
658         -rm -f Makefile
659 maintainer-clean-am: distclean-am maintainer-clean-generic
660
661 mostlyclean: mostlyclean-recursive
662
663 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
664
665 pdf: pdf-recursive
666
667 pdf-am:
668
669 ps: ps-recursive
670
671 ps-am:
672
673 uninstall-am: uninstall-info-am
674
675 uninstall-info: uninstall-info-recursive
676
677 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
678         check-am clean clean-generic clean-libtool clean-recursive \
679         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
680         dist-shar dist-tarZ dist-zip distcheck distclean \
681         distclean-generic distclean-hdr distclean-libtool \
682         distclean-recursive distclean-tags distcleancheck distdir \
683         distuninstallcheck dvi dvi-am html html-am info info-am \
684         install install-am install-data install-data-am install-exec \
685         install-exec-am install-info install-info-am install-man \
686         install-strip installcheck installcheck-am installdirs \
687         installdirs-am maintainer-clean maintainer-clean-generic \
688         maintainer-clean-recursive mostlyclean mostlyclean-generic \
689         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
690         tags tags-recursive uninstall uninstall-am uninstall-info-am
691
692 # Tell versions [3.59,3.63) of GNU make to not export all variables.
693 # Otherwise a system limit (for SysV at least) may be exceeded.
694 .NOEXPORT: